from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetFilterDescriptor3(XInterface, Protocol):
    def getFilterFields3(self) -> list[TableFilterField3]: ...
    def setFilterFields3(self, aFilterFields: sequence<TableFilterField3>) -> None: ...
